<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref17.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::Visitor::visit&#40;LinkageSpec*&#41; - Synopsis::PTree::cons&#40;Node*&#44;Node*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::Visitor::visit&#40;LinkageSpec*&#41; - Synopsis::PTree::cons&#40;Node*&#44;Node*&#41;</h1><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lLinkageSpec_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;LinkageSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lLinkageSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#99">Synopsis/PTree/Visitor.hh:99</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lList_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;List*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lList_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#29">Synopsis/PTree/Visitor.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lLiteral_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Literal*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lLiteral_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#31">Synopsis/PTree/Visitor.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lMetaclassDecl_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;MetaclassDecl*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lMetaclassDecl_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#97">Synopsis/PTree/Visitor.hh:97</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lName_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Name*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#128">Synopsis/PTree/Visitor.hh:128</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lNamespaceAlias_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;NamespaceAlias*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lNamespaceAlias_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#112">Synopsis/PTree/Visitor.hh:112</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lNamespaceSpec_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;NamespaceSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lNamespaceSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#101">Synopsis/PTree/Visitor.hh:101</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lNewExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;NewExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lNewExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#185">Synopsis/PTree/Visitor.hh:185</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lNode_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#27">Synopsis/PTree/Visitor.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#22">Synopsis/PTree/Atoms.hh:22</a>: in member function <a href="../Scopes/Synopsis/PTree/Literal.html#accept_lVisitor_S_r" >Synopsis::PTree::Literal::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#33">Synopsis/PTree/Atoms.hh:33</a>: in member function <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#accept_lVisitor_S_r" >Synopsis::PTree::CommentedAtom::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#49">Synopsis/PTree/Atoms.hh:49</a>: in member function <a href="../Scopes/Synopsis/PTree/DupAtom.html#accept_lVisitor_S_r" >Synopsis::PTree::DupAtom::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#57">Synopsis/PTree/Atoms.hh:57</a>: in member function <a href="../Scopes/Synopsis/PTree/Identifier.html#accept_lVisitor_S_r" >Synopsis::PTree::Identifier::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#66">Synopsis/PTree/Atoms.hh:66</a>: in member function <a href="../Scopes/Synopsis/PTree/Keyword.html#accept_lVisitor_S_r" >Synopsis::PTree::Keyword::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#76">Synopsis/PTree/Atoms.hh:76</a>: in member function <a href="../Scopes/Synopsis/PTree/KeywordT.html#accept_lVisitor_S_r" >Synopsis::PTree::KeywordT::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#84">Synopsis/PTree/Atoms.hh:84</a>: in member function <a href="../Scopes/Synopsis/PTree/UserKeyword.html#accept_lVisitor_S_r" >Synopsis::PTree::UserKeyword::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#24">Synopsis/PTree/Lists.hh:24</a>: in member function <a href="../Scopes/Synopsis/PTree/Brace.html#accept_lVisitor_S_r" >Synopsis::PTree::Brace::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#32">Synopsis/PTree/Lists.hh:32</a>: in member function <a href="../Scopes/Synopsis/PTree/Block.html#accept_lVisitor_S_r" >Synopsis::PTree::Block::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#40">Synopsis/PTree/Lists.hh:40</a>: in member function <a href="../Scopes/Synopsis/PTree/ClassBody.html#accept_lVisitor_S_r" >Synopsis::PTree::ClassBody::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#48">Synopsis/PTree/Lists.hh:48</a>: in member function <a href="../Scopes/Synopsis/PTree/TemplateDecl.html#accept_lVisitor_S_r" >Synopsis::PTree::TemplateDecl::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#55">Synopsis/PTree/Lists.hh:55</a>: in member function <a href="../Scopes/Synopsis/PTree/TemplateInstantiation.html#accept_lVisitor_S_r" >Synopsis::PTree::TemplateInstantiation::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#63">Synopsis/PTree/Lists.hh:63</a>: in member function <a href="../Scopes/Synopsis/PTree/ExternTemplate.html#accept_lVisitor_S_r" >Synopsis::PTree::ExternTemplate::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#70">Synopsis/PTree/Lists.hh:70</a>: in member function <a href="../Scopes/Synopsis/PTree/MetaclassDecl.html#accept_lVisitor_S_r" >Synopsis::PTree::MetaclassDecl::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#77">Synopsis/PTree/Lists.hh:77</a>: in member function <a href="../Scopes/Synopsis/PTree/LinkageSpec.html#accept_lVisitor_S_r" >Synopsis::PTree::LinkageSpec::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#84">Synopsis/PTree/Lists.hh:84</a>: in member function <a href="../Scopes/Synopsis/PTree/NamespaceSpec.html#accept_lVisitor_S_r" >Synopsis::PTree::NamespaceSpec::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#96">Synopsis/PTree/Lists.hh:96</a>: in member function <a href="../Scopes/Synopsis/PTree/Declaration.html#accept_lVisitor_S_r" >Synopsis::PTree::Declaration::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#109">Synopsis/PTree/Lists.hh:109</a>: in member function <a href="../Scopes/Synopsis/PTree/Typedef.html#accept_lVisitor_S_r" >Synopsis::PTree::Typedef::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#116">Synopsis/PTree/Lists.hh:116</a>: in member function <a href="../Scopes/Synopsis/PTree/UsingDirective.html#accept_lVisitor_S_r" >Synopsis::PTree::UsingDirective::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#123">Synopsis/PTree/Lists.hh:123</a>: in member function <a href="../Scopes/Synopsis/PTree/UsingDeclaration.html#accept_lVisitor_S_r" >Synopsis::PTree::UsingDeclaration::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#130">Synopsis/PTree/Lists.hh:130</a>: in member function <a href="../Scopes/Synopsis/PTree/NamespaceAlias.html#accept_lVisitor_S_r" >Synopsis::PTree::NamespaceAlias::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#137">Synopsis/PTree/Lists.hh:137</a>: in member function <a href="../Scopes/Synopsis/PTree/FunctionDefinition.html#accept_lVisitor_S_r" >Synopsis::PTree::FunctionDefinition::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#145">Synopsis/PTree/Lists.hh:145</a>: in member function <a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html#accept_lVisitor_S_r" >Synopsis::PTree::ParameterDeclaration::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#159">Synopsis/PTree/Lists.hh:159</a>: in member function <a href="../Scopes/Synopsis/PTree/Declarator.html#accept_lVisitor_S_r" >Synopsis::PTree::Declarator::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#178">Synopsis/PTree/Lists.hh:178</a>: in member function <a href="../Scopes/Synopsis/PTree/Name.html#accept_lVisitor_S_r" >Synopsis::PTree::Name::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#188">Synopsis/PTree/Lists.hh:188</a>: in member function <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html#accept_lVisitor_S_r" >Synopsis::PTree::FstyleCastExpr::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#199">Synopsis/PTree/Lists.hh:199</a>: in member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#accept_lVisitor_S_r" >Synopsis::PTree::ClassSpec::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#217">Synopsis/PTree/Lists.hh:217</a>: in member function <a href="../Scopes/Synopsis/PTree/EnumSpec.html#accept_lVisitor_S_r" >Synopsis::PTree::EnumSpec::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#228">Synopsis/PTree/Lists.hh:228</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeParameter.html#accept_lVisitor_S_r" >Synopsis::PTree::TypeParameter::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#235">Synopsis/PTree/Lists.hh:235</a>: in member function <a href="../Scopes/Synopsis/PTree/AccessSpec.html#accept_lVisitor_S_r" >Synopsis::PTree::AccessSpec::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#245">Synopsis/PTree/Lists.hh:245</a>: in member function <a href="../Scopes/Synopsis/PTree/AccessDecl.html#accept_lVisitor_S_r" >Synopsis::PTree::AccessDecl::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#252">Synopsis/PTree/Lists.hh:252</a>: in member function <a href="../Scopes/Synopsis/PTree/UserAccessSpec.html#accept_lVisitor_S_r" >Synopsis::PTree::UserAccessSpec::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#259">Synopsis/PTree/Lists.hh:259</a>: in member function <a href="../Scopes/Synopsis/PTree/UserdefKeyword.html#accept_lVisitor_S_r" >Synopsis::PTree::UserdefKeyword::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#267">Synopsis/PTree/Lists.hh:267</a>: in member function <a href="../Scopes/Synopsis/PTree/StatementT.html#accept_lVisitor_S_r" >Synopsis::PTree::StatementT::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#358">Synopsis/PTree/Lists.hh:358</a>: in member function <a href="../Scopes/Synopsis/PTree/Expression.html#accept_lVisitor_S_r" >Synopsis::PTree::Expression::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#366">Synopsis/PTree/Lists.hh:366</a>: in member function <a href="../Scopes/Synopsis/PTree/ExpressionT.html#accept_lVisitor_S_r" >Synopsis::PTree::ExpressionT::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#111">Synopsis/PTree/Node.hh:111</a>: in member function <a href="../Scopes/Synopsis/PTree/Atom.html#accept_lVisitor_S_r" >Synopsis::PTree::Atom::accept&#40;Visitor*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#119">Synopsis/PTree/Node.hh:119</a>: in member function <a href="../Scopes/Synopsis/PTree/List.html#accept_lVisitor_S_r" >Synopsis::PTree::List::accept&#40;Visitor*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lOffsetofExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;OffsetofExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lOffsetofExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#182">Synopsis/PTree/Visitor.hh:182</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lParameterDeclaration_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ParameterDeclaration*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lParameterDeclaration_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#123">Synopsis/PTree/Visitor.hh:123</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lParenExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ParenExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lParenExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#199">Synopsis/PTree/Visitor.hh:199</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lPmExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;PmExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lPmExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#173">Synopsis/PTree/Visitor.hh:173</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lPostfixExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;PostfixExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lPostfixExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#193">Synopsis/PTree/Visitor.hh:193</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lReturnStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ReturnStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lReturnStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#158">Synopsis/PTree/Visitor.hh:158</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lSizeofExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;SizeofExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lSizeofExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#181">Synopsis/PTree/Visitor.hh:181</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lSwitchStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;SwitchStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lSwitchStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#146">Synopsis/PTree/Visitor.hh:146</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lTemplateDecl_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;TemplateDecl*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTemplateDecl_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#94">Synopsis/PTree/Visitor.hh:94</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lTemplateInstantiation_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;TemplateInstantiation*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTemplateInstantiation_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#95">Synopsis/PTree/Visitor.hh:95</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lThrowExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;ThrowExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lThrowExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#179">Synopsis/PTree/Visitor.hh:179</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lTryStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;TryStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTryStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#154">Synopsis/PTree/Visitor.hh:154</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lTypeParameter_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;TypeParameter*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeParameter_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#139">Synopsis/PTree/Visitor.hh:139</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lTypedef_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;Typedef*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTypedef_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#92">Synopsis/PTree/Visitor.hh:92</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lTypeidExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;TypeidExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeidExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#183">Synopsis/PTree/Visitor.hh:183</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lTypeofExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;TypeofExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lTypeofExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#184">Synopsis/PTree/Visitor.hh:184</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lUnaryExpr_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;UnaryExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lUnaryExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#177">Synopsis/PTree/Visitor.hh:177</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lUserAccessSpec_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;UserAccessSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lUserAccessSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#142">Synopsis/PTree/Visitor.hh:142</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lUsingDeclaration_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;UsingDeclaration*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lUsingDeclaration_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#125">Synopsis/PTree/Visitor.hh:125</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lUsingDirective_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;UsingDirective*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lUsingDirective_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#103">Synopsis/PTree/Visitor.hh:103</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_mvisit_lWhileStatement_S_r" /><h2 >Member function Synopsis::PTree::Visitor::visit&#40;WhileStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#visit_lWhileStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#148">Synopsis/PTree/Visitor.hh:148</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mVisitor_m_tVisitor_l_r" /><h2 >Destructor Synopsis::PTree::Visitor::~Visitor&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Visitor.html#_tVisitor_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#26">Synopsis/PTree/Visitor.hh:26</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWhileStatement" /><h2 >Class Synopsis::PTree::WhileStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/WhileStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#282">Synopsis/PTree/Lists.hh:282</a>: in class <a href="../Scopes/Synopsis/PTree/WhileStatement.html" >Synopsis::PTree::WhileStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#282">Synopsis/PTree/Lists.hh:282</a>: in class <a href="../Scopes/Synopsis/PTree/WhileStatement.html" >Synopsis::PTree::WhileStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#52">Synopsis/PTree/TypeVisitor.hh:52</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#148">Synopsis/PTree/Visitor.hh:148</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#285">Synopsis/PTree/Lists.hh:285</a>: Constructor <a href="../Scopes/Synopsis/PTree/WhileStatement.html#WhileStatement_lNode_S_cNode_S_r" >WhileStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWhileStatement_mWhileStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::WhileStatement::WhileStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/WhileStatement.html#WhileStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#285">Synopsis/PTree/Lists.hh:285</a>: in class <a href="../Scopes/Synopsis/PTree/WhileStatement.html" >Synopsis::PTree::WhileStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter" /><h2 >Class Synopsis::PTree::Writer</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#18">Synopsis/PTree/Writer.hh:18</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#44">Synopsis/PTree/Writer.hh:44</a>: in function <a href="../Scopes/Synopsis/PTree.html#reify_lconst.Node_S_r" >Synopsis::PTree::reify&#40;const Node*&#41;</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Writer.hh.html#21">Synopsis/PTree/Writer.hh:21</a>: Constructor <a href="../Scopes/Synopsis/PTree/Writer.html#Writer_lstd_mostream_A_r" >Writer&#40;std::ostream&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Writer.hh.html#23">Synopsis/PTree/Writer.hh:23</a>: Member function <a href="../Scopes/Synopsis/PTree/Writer.html#write_lconst.Node_S_r" >write&#40;const Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Writer.hh.html#27">Synopsis/PTree/Writer.hh:27</a>: Member function <a href="../Scopes/Synopsis/PTree/Writer.html#visit_lAtom_S_r" >visit&#40;Atom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Writer.hh.html#28">Synopsis/PTree/Writer.hh:28</a>: Member function <a href="../Scopes/Synopsis/PTree/Writer.html#visit_lList_S_r" >visit&#40;List*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Writer.hh.html#29">Synopsis/PTree/Writer.hh:29</a>: Member function <a href="../Scopes/Synopsis/PTree/Writer.html#visit_lBrace_S_r" >visit&#40;Brace*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Writer.hh.html#31">Synopsis/PTree/Writer.hh:31</a>: Member function <a href="../Scopes/Synopsis/PTree/Writer.html#newline_l_r" >newline&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Writer.hh.html#33">Synopsis/PTree/Writer.hh:33</a>: Data member <a href="../Scopes/Synopsis/PTree/Writer.html#my_os" >my_os</a></li><li ><a href="../Source/Synopsis/PTree/Writer.hh.html#34">Synopsis/PTree/Writer.hh:34</a>: Data member <a href="../Scopes/Synopsis/PTree/Writer.html#my_indent" >my_indent</a></li><li ><a href="../Source/Synopsis/PTree/Writer.hh.html#35">Synopsis/PTree/Writer.hh:35</a>: Data member <a href="../Scopes/Synopsis/PTree/Writer.html#my_lines" >my_lines</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mWriter_lstd_mostream_A_r" /><h2 >Synopsis::PTree::Writer::Writer&#40;std::ostream&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#21">Synopsis/PTree/Writer.hh:21</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mmy_indent" /><h2 >Data member Synopsis::PTree::Writer::my_indent</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html#my_indent" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#34">Synopsis/PTree/Writer.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mmy_lines" /><h2 >Data member Synopsis::PTree::Writer::my_lines</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html#my_lines" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#35">Synopsis/PTree/Writer.hh:35</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mmy_os" /><h2 >Data member Synopsis::PTree::Writer::my_os</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html#my_os" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#33">Synopsis/PTree/Writer.hh:33</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mnewline_l_r" /><h2 >Member function Synopsis::PTree::Writer::newline&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html#newline_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#31">Synopsis/PTree/Writer.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mvisit_lAtom_S_r" /><h2 >Member function Synopsis::PTree::Writer::visit&#40;Atom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html#visit_lAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#27">Synopsis/PTree/Writer.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mvisit_lBrace_S_r" /><h2 >Member function Synopsis::PTree::Writer::visit&#40;Brace*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html#visit_lBrace_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#29">Synopsis/PTree/Writer.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mvisit_lList_S_r" /><h2 >Member function Synopsis::PTree::Writer::visit&#40;List*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html#visit_lList_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#28">Synopsis/PTree/Writer.hh:28</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mWriter_mwrite_lconst.Node_S_r" /><h2 >Member function Synopsis::PTree::Writer::write&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Writer.html#write_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#23">Synopsis/PTree/Writer.hh:23</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#45">Synopsis/PTree/Writer.hh:45</a>: in function <a href="../Scopes/Synopsis/PTree.html#reify_lconst.Node_S_r" >Synopsis::PTree::reify&#40;const Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mappend_lNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::append&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#append_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#83">Synopsis/PTree/operations.hh:83</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mca_ar_lNode_S_r" /><h2 >Function Synopsis::PTree::ca_ar&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#ca_ar_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#68">Synopsis/PTree/operations.hh:68</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mca_ar_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::ca_ar&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#ca_ar_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#67">Synopsis/PTree/operations.hh:67</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mcadr_lNode_S_r" /><h2 >Function Synopsis::PTree::cadr&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#cadr_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#63">Synopsis/PTree/operations.hh:63</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mcadr_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::cadr&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#cadr_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#62">Synopsis/PTree/operations.hh:62</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mcddr_lNode_S_r" /><h2 >Function Synopsis::PTree::cddr&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#cddr_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#65">Synopsis/PTree/operations.hh:65</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mcddr_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::cddr&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#cddr_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#64">Synopsis/PTree/operations.hh:64</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mcons_lNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::cons&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#cons_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#70">Synopsis/PTree/operations.hh:70</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#110">Synopsis/PTree/operations.hh:110</a>: in function template <a href="../Scopes/Synopsis/PTree.html#snoc_lN_S_cNode_S_r" >Synopsis::PTree::snoc&#40;N*&#44;Node*&#41;</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
